<?php declare(strict_types=1);

namespace Infomaker\ProjectPlugin\Admin\ProjectPluginPage;

use Infomaker\Everyware\Twig\View;
use Infomaker\ProjectPlugin\Admin\Abstracts\ComponentsPage;
use Twig_Error_Loader;
use Twig_Error_Runtime;
use Twig_Error_Syntax;

class PluginsPage extends ComponentsPage
{
    protected static $slug = 'plugins';
    protected static $title = 'Plugins';

    public function renderPage(): void
    {
        try {
            View::render('@projectPlugin/admin/components/plugins', $this->getComponentsPageData([
                'description' => __('From here you can manage your custom plugins for the site.', $this->textDomain),
            ]));
        } catch(Twig_Error_Loader $e) {
        } catch(Twig_Error_Runtime $e) {
        } catch(Twig_Error_Syntax $e) {
            echo 'Ho ho ho'; // TODO: Handle this in a proper way!
        }
    }
}
